{ config, ... }: {

  imports = [ ./../overlays/yggdrasil-package-nix/nixos-module.nix ];

  networking.firewall.extraCommands = ''
   ip6tables -A INPUT -s fe80::/10 -j ACCEPT
  '';

  services.yggdrasil = {
    enable = true;
    Peers = [
      "tcp://5.9.112.248:39444"
      "tcp://159.69.35.16:31337"
      "tcp://195.201.93.98:17177"
    ];
    NodeInfo = {
      name = config.networking.hostName + ".c3d2";
      deployment = "nixos";
      location = "Pieschen (Q8945)";
    };
  };
}
